package intrinsic.mx.resources;

public class ResourceManager extends intrinsic.flash.events.EventDispatcher implements intrinsic.mx.resources.IResourceManager {

	/** Accessors */
	public intrinsic.Array localeChain;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ResourceManager() {
}


/** Static Methods */
public static native intrinsic.mx.resources.IResourceManager getInstance();

/** Methods */
public native void addResourceBundle(intrinsic.mx.resources.IResourceBundle arg0);
public native double getNumber(String arg0, String arg1);
public native double getNumber(String arg0, String arg1, String arg2);
public native intrinsic.Array getStringArray(String arg0, String arg1);
public native intrinsic.Array getStringArray(String arg0, String arg1, String arg2);
public native void unloadResourceModule(String arg0);
public native void unloadResourceModule(String arg0, boolean arg1);
public native intrinsic.Array getBundleNamesForLocale(String arg0);
public native void removeResourceBundle(String arg0, String arg1);
public native String getString(String arg0, String arg1);
public native String getString(String arg0, String arg1, intrinsic.Array arg2);
public native String getString(String arg0, String arg1, intrinsic.Array arg2, String arg3);
public native boolean getBoolean(String arg0, String arg1);
public native boolean getBoolean(String arg0, String arg1, String arg2);
public native intrinsic.flash.events.IEventDispatcher loadResourceModule(String arg0);
public native intrinsic.flash.events.IEventDispatcher loadResourceModule(String arg0, boolean arg1);
public native intrinsic.flash.events.IEventDispatcher loadResourceModule(String arg0, boolean arg1, intrinsic.flash.system.ApplicationDomain arg2);
public native intrinsic.flash.events.IEventDispatcher loadResourceModule(String arg0, boolean arg1, intrinsic.flash.system.ApplicationDomain arg2, intrinsic.flash.system.SecurityDomain arg3);
public native intrinsic.Class getClass(String arg0, String arg1);
public native intrinsic.Class getClass(String arg0, String arg1, String arg2);
public native Object getObject(String arg0, String arg1);
public native Object getObject(String arg0, String arg1, String arg2);
public native void installCompiledResourceBundles(intrinsic.flash.system.ApplicationDomain arg0, intrinsic.Array arg1, intrinsic.Array arg2);
public native void installCompiledResourceBundle(intrinsic.flash.system.ApplicationDomain arg0, String arg1, String arg2);
public native intrinsic.Array getLocales();
public native void removeResourceBundlesForLocale(String arg0);
public native intrinsic.mx.resources.IResourceBundle getResourceBundle(String arg0, String arg1);
public native int getInt(String arg0, String arg1);
public native int getInt(String arg0, String arg1, String arg2);
public native void update();
public native intrinsic.mx.resources.IResourceBundle findResourceBundleWithResource(String arg0, String arg1);
public native int getUint(String arg0, String arg1);
public native int getUint(String arg0, String arg1, String arg2);

}
